Package org.apache.felix.http.base.internal.runtime

## Class ResourceInfo

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.AbstractInfo<T>
  - - org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo<Object>
    - - org.apache.felix.http.base.internal.runtime.ResourceInfo

All Implemented Interfaces:
  `Comparable<AbstractInfo<Object>>`

    public final class ResourceInfo
    extends WhiteboardServiceInfo<Object>

Info object for a resource registration

### Constructor Summary

Constructors
`ResourceInfo​(org.osgi.framework.ServiceReference<Object> ref)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getPatterns()`
`String` `getPrefix()`
`ServletInfo` `getServletInfo()`
`boolean` `isSame​(AbstractInfo<Object> other)` Compare two info objects
`boolean` `isValid()`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.WhiteboardServiceInfo

`getContextSelection, getContextSelectionFilter`

### Methods inherited from class org.apache.felix.http.base.internal.runtime.AbstractInfo

`compareTo, equals, getBooleanProperty, getInitParams, getRanking, getServiceId, getServiceReference, getStringArrayProperty, getStringProperty, getTarget, hashCode, isEmpty, isEmpty`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceInfo

    public ResourceInfo​(org.osgi.framework.ServiceReference<Object> ref)

### Method Detail

#### isValid

    public boolean isValid()

Overrides:
  `isValid` in class `WhiteboardServiceInfo<Object>`

#### getPrefix

    public String getPrefix()

#### getPatterns

    public String[] getPatterns()

#### getServletInfo

    public ServletInfo getServletInfo()

#### isSame

    public boolean isSame​(AbstractInfo<Object> other)

Description copied from class: `AbstractInfo`
Compare two info objects

Overrides:
  `isSame` in class `WhiteboardServiceInfo<Object>`